// mouse interaction
boolean selection = false;
PVector initial_click = new PVector(0,0);

// key interactions
boolean isLog = false;
boolean isBlack = true;
int displayMode = 3;

// drawing params
int initalStartYear = 2005, initalEndYear = 2017; // default times
int startYear = initalStartYear, endYear = initalEndYear; // drawn years 

void mouseDragged(MouseEvent event){
  if(!selection){
    initial_click.x = mouseX;
    initial_click.y = mouseY;
    
    selection = true;
  }
}
void mouseReleased(){
  selection = false;
  
  startYear = (int)map(initial_click.y, marginVert+30, marginVert+30+titleHeight, startYear, endYear);
  endYear = (int)map(mouseY, marginVert+30, marginVert+30+titleHeight, startYear, endYear);
  
  println((initalStartYear-initalStartYear) + " "+ (initalEndYear-initalStartYear));
  println((startYear-initalStartYear) +" "+ (endYear-initalStartYear));
}

void reset(){
  startYear = initalStartYear;
  endYear = initalEndYear;
}

void keyPressed(){
  if (key == 'l') isLog = !isLog;
  else if(key >= '1' && key <= '3') displayMode = key-'0';
  else if(key == ' ') isBlack = !isBlack;
  else if(key == 'r') reset();
  else if(key == 'p') save(millis()+".png");
}